@echo off
if %1x==x GOTO :INPUT
echo Updating Btrieve for NetWare v6.15 to current version.
echo Output is redirected to %1.lst.
echo Please wait.  This may take a few minutes...
patch %1 >%1.lst
if ERRORLEVEL 1 GOTO :ERR
GOTO :ENGOK
:ERR
echo ERRORS during Update
echo Unable to update Btrieve v6.15.  See %1.lst for update status.
GOTO :ALLDONE
:ENGOK
md win32
patch btrreqnw >>%1.lst
if ERRORLEVEL 1 GOTO :ERR
btrnw -d -n >>%1.lst
:OK
GOTO :END
:INPUT
echo  Enter  patbtrnw v615x  where
echo           x =   u for Unlimited user count
echo           x =   5 for 5 user count
echo           x =  10 for 10 user count
echo           x =  20 for 20 user count
echo           x =  50 for 50 user count
echo           x = 100 for 100 user count

GOTO :ALLDONE
:END
echo Updates applied successfully.  See %1.lst for update status.
:ALLDONE
